Index: trunk/lib/FlairSimulator/src/SimuCameraGL.cpp
===================================================================
--- trunk/lib/FlairSimulator/src/SimuCameraGL.cpp	(revision 14)
+++ trunk/lib/FlairSimulator/src/SimuCameraGL.cpp	(revision 15)
@@ -41,201 +41,190 @@
 using namespace flair::simulator;
 
-namespace flair
-{
-namespace sensor
-{
-
-SimuCameraGL::SimuCameraGL(const Model* parent,std::string name,int width,int height,int x,int y,int dev_id) :SimuCamera(parent,name,width,height,3,dev_id),SensorGL(parent)
-{
-    smgr=getGui()->getSceneManager();
-    camera=smgr->addCameraSceneNode();
-    camera->addAnimator(this);
-    camera->setAspectRatio(4.0f/3.0f);//on force a cause du view port
-
-    this->width=width;
-    this->height=height;
-    this->x=x;
-    this->y=y;
-
-    index = 0;
-
-    buffer=(char*)malloc(width*height*3);
-
-    //user interface
-    Tab* setup_tab=new Tab(parent->GetTabWidget(),name);
-        position=new Vector3DSpinBox(setup_tab->NewRow(),"position",-2,2,.01);
-        direction=new Vector3DSpinBox(setup_tab->NewRow(),"direction",-2,2,.01);
-        up=new Vector3DSpinBox(setup_tab->NewRow(),"up",-2,2,.01);
-        fov=new DoubleSpinBox(setup_tab->NewRow(),"fov:",0,180,5);
-
-    if(strcmp((char*)glGetString(GL_VENDOR),"Intel Open Source Technology Center")==0) {
-        Thread::Warn("disabling cameras output for Intel card (bug with PBO)\n");
-        disable_output=true;
-    } else {
-        disable_output=false;
+namespace flair {
+namespace sensor {
+
+SimuCameraGL::SimuCameraGL(const Model *parent, std::string name, int width,
+                           int height, int x, int y, int dev_id)
+    : SimuCamera(parent, name, width, height, 3, dev_id), SensorGL(parent) {
+  smgr = getGui()->getSceneManager();
+  camera = smgr->addCameraSceneNode();
+  camera->addAnimator(this);
+  camera->setAspectRatio(4.0f / 3.0f); // on force a cause du view port
+
+  this->width = width;
+  this->height = height;
+  this->x = x;
+  this->y = y;
+
+  index = 0;
+
+  buffer = (char *)malloc(width * height * 3);
+
+  // user interface
+  Tab *setup_tab = new Tab(parent->GetTabWidget(), name);
+  position = new Vector3DSpinBox(setup_tab->NewRow(), "position", -2, 2, .01);
+  direction = new Vector3DSpinBox(setup_tab->NewRow(), "direction", -2, 2, .01);
+  up = new Vector3DSpinBox(setup_tab->NewRow(), "up", -2, 2, .01);
+  fov = new DoubleSpinBox(setup_tab->NewRow(), "fov:", 0, 180, 5);
+
+  if (strcmp((char *)glGetString(GL_VENDOR),
+             "Intel Open Source Technology Center") == 0) {
+    Thread::Warn("disabling cameras output for Intel card (bug with PBO)\n");
+    disable_output = true;
+  } else {
+    disable_output = false;
+  }
+
+  if (isGlExtensionSupported("GL_ARB_pixel_buffer_object")) {
+    use_pbo = true;
+    // create 2 pixel buffer objects, you need to delete them when program
+    // exits.
+    // glBufferDataARB with NULL pointer reserves only memory space.
+    pboIds = (GLuint *)malloc(PBO_COUNT * sizeof(GLuint));
+    glGenBuffersARB(PBO_COUNT, pboIds);
+    glBindBufferARB(GL_PIXEL_PACK_BUFFER_ARB, pboIds[0]);
+    glBufferDataARB(GL_PIXEL_PACK_BUFFER_ARB, width * height * 3, 0,
+                    GL_STREAM_READ_ARB);
+    glBindBufferARB(GL_PIXEL_PACK_BUFFER_ARB, pboIds[1]);
+    glBufferDataARB(GL_PIXEL_PACK_BUFFER_ARB, width * height * 3, 0,
+                    GL_STREAM_READ_ARB);
+
+    glBindBufferARB(GL_PIXEL_PACK_BUFFER_ARB, 0);
+  } else {
+    use_pbo = false;
+    Thread::Warn("GL_ARB_pixel_buffer_object is not suppoorted\n");
+  }
+  if (isGlExtensionSupported("GL_PACK_INVERT_MESA")) {
+    invert_pixel = false;
+    Thread::Warn("GL_PACK_INVERT_MESA is suppoorted\n");
+  } else {
+    invert_pixel = true;
+  }
+}
+
+SimuCameraGL::~SimuCameraGL() {
+  free(buffer);
+
+  if (use_pbo) {
+    glDeleteBuffersARB(PBO_COUNT, pboIds);
+    free(pboIds);
+  }
+}
+
+void SimuCameraGL::setNearValue(float zn) { camera->setNearValue(zn); }
+
+void SimuCameraGL::setFarValue(float zf) { camera->setFarValue(zf); }
+
+void SimuCameraGL::UpdateFrom(const io_data *data) {
+  if (noGui() == false && data == NULL) {
+    smgr->setActiveCamera(camera);
+    smgr->getVideoDriver()->setViewPort(rect<s32>(x, y, x + width, y + height));
+    smgr->drawAll();
+    // use_pbo=false;
+    getImage();
+  }
+}
+
+void SimuCameraGL::getImage(void) {
+  if (disable_output)
+    return;
+  // convert from irrlicht top left origin to gl bottom left origin
+  int y = smgr->getVideoDriver()->getScreenSize().Height - height - this->y;
+
+  // We want to read the front buffer to get the latest render finished.
+  Time a = GetTime();
+  glReadBuffer(GL_FRONT);
+  if (use_pbo) // with PBO
+  {
+    // increment current index first then get the next index
+    // "index" is used to read pixels from a framebuffer to a PBO
+    // "nextIndex" is used to process pixels in the other PBO
+    index = (index + 1) % PBO_COUNT;
+    int nextIndex = (index + 1) % PBO_COUNT;
+
+    // copy pixels from framebuffer to PBO
+    // Use offset instead of pointer.
+    // OpenGL should perform asynch DMA transfer, so glReadPixels() will return
+    // immediately.
+    glBindBufferARB(GL_PIXEL_PACK_BUFFER_ARB, pboIds[index]);
+    glReadPixels(x, y, width, height, GL_BGR, GL_UNSIGNED_BYTE, 0);
+
+    // map the PBO that contain framebuffer pixels before processing it
+    glBindBufferARB(GL_PIXEL_PACK_BUFFER_ARB, pboIds[nextIndex]);
+    GLubyte *src = (GLubyte *)glMapBufferARB(
+        GL_PIXEL_PACK_BUFFER_ARB, GL_READ_WRITE_ARB); // GL_READ_ONLY_ARB);
+    if (src) {
+      putImage((char *)src);
+      glUnmapBufferARB(
+          GL_PIXEL_PACK_BUFFER_ARB); // release pointer to the mapped buffer
     }
-
-    if(isGlExtensionSupported("GL_ARB_pixel_buffer_object"))
-    {
-        use_pbo=true;
-         // create 2 pixel buffer objects, you need to delete them when program exits.
-        // glBufferDataARB with NULL pointer reserves only memory space.
-        pboIds=(GLuint*)malloc(PBO_COUNT*sizeof(GLuint));
-        glGenBuffersARB(PBO_COUNT, pboIds);
-        glBindBufferARB(GL_PIXEL_PACK_BUFFER_ARB, pboIds[0]);
-        glBufferDataARB(GL_PIXEL_PACK_BUFFER_ARB, width*height*3, 0, GL_STREAM_READ_ARB);
-        glBindBufferARB(GL_PIXEL_PACK_BUFFER_ARB, pboIds[1]);
-        glBufferDataARB(GL_PIXEL_PACK_BUFFER_ARB, width*height*3, 0, GL_STREAM_READ_ARB);
-
-        glBindBufferARB(GL_PIXEL_PACK_BUFFER_ARB, 0);
+    glBindBufferARB(GL_PIXEL_PACK_BUFFER_ARB, 0);
+  } else {
+    glReadPixels(x, y, width, height, GL_BGR, GL_UNSIGNED_BYTE, buffer);
+    putImage(buffer);
+  }
+
+  glReadBuffer(GL_BACK);
+  Time b = GetTime();
+  Time c = b - a;
+  // printf("%s %f\n",Thread::ObjectName().c_str(),(float)(c/1000000.));
+}
+
+void SimuCameraGL::putImage(char *buf) {
+  if (invert_pixel == true) {
+    // opengl images are horizontally flipped, so we have to fix that here.
+    const s32 pitch = width * 3;
+    char *pixels = buf;
+    char *p2 = pixels + (height - 1) * pitch;
+    char *tmpBuffer = new char[pitch];
+    for (int i = 0; i < height; i += 2) {
+      memcpy(tmpBuffer, pixels, pitch);
+      memcpy(pixels, p2, pitch);
+      memcpy(p2, tmpBuffer, pitch);
+      pixels += pitch;
+      p2 -= pitch;
     }
-    else
-    {
-        use_pbo=false;
-        Thread::Warn("GL_ARB_pixel_buffer_object is not suppoorted\n");
-    }
-    if(isGlExtensionSupported("GL_PACK_INVERT_MESA"))
-    {
-        invert_pixel=false;
-        Thread::Warn("GL_PACK_INVERT_MESA is suppoorted\n");
-    }
-    else
-    {
-        invert_pixel=true;
-    }
-}
-
-SimuCameraGL::~SimuCameraGL()
-{
-    free(buffer);
-
-    if(use_pbo)
-    {
-        glDeleteBuffersARB(PBO_COUNT, pboIds);
-        free(pboIds);
-    }
-}
-
-void SimuCameraGL::setNearValue(float zn) {
-    camera->setNearValue(zn);
-}
-
-
-void SimuCameraGL::setFarValue(float zf) {
-    camera->setFarValue(zf);
-}
-
-
-void SimuCameraGL::UpdateFrom(const io_data *data)
-{
-    if(noGui()==false && data==NULL)
-    {
-        smgr->setActiveCamera(camera);
-        smgr->getVideoDriver()->setViewPort(rect<s32>(x,y,x+width,y+height));
-        smgr->drawAll();
-        //use_pbo=false;
-        getImage();
-    }
-}
-
-void SimuCameraGL::getImage(void)
-{
-    if(disable_output) return;
-    //convert from irrlicht top left origin to gl bottom left origin
-    int y=smgr->getVideoDriver()->getScreenSize().Height-height-this->y;
-
-	// We want to read the front buffer to get the latest render finished.
-	Time a=GetTime();
-	glReadBuffer(GL_FRONT);
-	if(use_pbo) // with PBO
-    {
-        // increment current index first then get the next index
-        // "index" is used to read pixels from a framebuffer to a PBO
-        // "nextIndex" is used to process pixels in the other PBO
-        index = (index + 1) % PBO_COUNT;
-        int nextIndex = (index + 1) % PBO_COUNT;
-
-        // copy pixels from framebuffer to PBO
-        // Use offset instead of pointer.
-        // OpenGL should perform asynch DMA transfer, so glReadPixels() will return immediately.
-        glBindBufferARB(GL_PIXEL_PACK_BUFFER_ARB, pboIds[index]);
-        glReadPixels(x,y,width,height, GL_BGR, GL_UNSIGNED_BYTE, 0);
-
-        // map the PBO that contain framebuffer pixels before processing it
-        glBindBufferARB(GL_PIXEL_PACK_BUFFER_ARB, pboIds[nextIndex]);
-        GLubyte* src = (GLubyte*)glMapBufferARB(GL_PIXEL_PACK_BUFFER_ARB,GL_READ_WRITE_ARB);//GL_READ_ONLY_ARB);
-        if(src)
-        {
-            putImage((char*)src);
-            glUnmapBufferARB(GL_PIXEL_PACK_BUFFER_ARB);     // release pointer to the mapped buffer
-        }
-        glBindBufferARB(GL_PIXEL_PACK_BUFFER_ARB, 0);
-    }
-    else
-    {
-        glReadPixels(x,y,width,height, GL_BGR, GL_UNSIGNED_BYTE, buffer);
-        putImage(buffer);
-    }
-
-	glReadBuffer(GL_BACK);
-	Time b=GetTime();
-	Time c=b-a;
-	//printf("%s %f\n",Thread::ObjectName().c_str(),(float)(c/1000000.));
-}
-
-void SimuCameraGL::putImage(char* buf)
-{
-    if(invert_pixel==true)
-    {
-        // opengl images are horizontally flipped, so we have to fix that here.
-        const s32 pitch=width*3;
-        char* pixels = buf;
-        char* p2 = pixels + (height - 1) * pitch;
-        char* tmpBuffer = new char[pitch];
-        for (int i=0; i < height; i += 2)
-        {
-            memcpy(tmpBuffer, pixels, pitch);
-            memcpy(pixels, p2, pitch);
-            memcpy(p2, tmpBuffer, pitch);
-            pixels += pitch;
-            p2 -= pitch;
-        }
-        delete [] tmpBuffer;
-    }
-
-    shmem->Write(buf,width*height*3);
-}
-
-void SimuCameraGL::animateNode(ISceneNode* node, u32 timeMs)
-{
-    ICameraSceneNode* camera = static_cast<ICameraSceneNode*>(node);
-
-    matrix4 m;
-    m.setRotationDegrees(Node()->getRotation());
-
-    // transform forward vector of camera
-    vector3df frv =ToIrrlichtCoordinates(direction->Value());
-    m.transformVect(frv);
-
-    // transform upvector of camera
-    vector3df upv =ToIrrlichtCoordinates(up->Value());
-    m.transformVect(upv);
-
-    // transform camera offset (thanks to Zeuss for finding it was missing)
-    vector3df offset = ToIrrlichtCoordinates(position->Value());
-    m.transformVect(offset);
-
-    // set camera
-    camera->setPosition(Node()->getPosition() + offset); //position camera in front of the ship
-    camera->setUpVector(upv); //set up vector of camera >> Zeuss - tested with +node->getPostion() and it didnt work, but this works fine.
-    camera->setTarget(Node()->getPosition() + offset+frv); //set target of camera (look at point) >> Zeuss - Dont forget to add the node positiob
-
-    camera->setFOV(Euler::ToRadian(fov->Value()));
-}
-
-ISceneNodeAnimator* SimuCameraGL::createClone(ISceneNode* node,
-            ISceneManager* newManager)
-{
-    return NULL;
+    delete[] tmpBuffer;
+  }
+
+  shmem->Write(buf, width * height * 3);
+}
+
+void SimuCameraGL::animateNode(ISceneNode *node, u32 timeMs) {
+  ICameraSceneNode *camera = static_cast<ICameraSceneNode *>(node);
+
+  matrix4 m;
+  m.setRotationDegrees(Node()->getRotation());
+
+  // transform forward vector of camera
+  vector3df frv = ToIrrlichtCoordinates(direction->Value());
+  m.transformVect(frv);
+
+  // transform upvector of camera
+  vector3df upv = ToIrrlichtCoordinates(up->Value());
+  m.transformVect(upv);
+
+  // transform camera offset (thanks to Zeuss for finding it was missing)
+  vector3df offset = ToIrrlichtCoordinates(position->Value());
+  m.transformVect(offset);
+
+  // set camera
+  camera->setPosition(Node()->getPosition() +
+                      offset); // position camera in front of the ship
+  camera->setUpVector(upv);    // set up vector of camera >> Zeuss - tested with
+  // +node->getPostion() and it didnt work, but this
+  // works fine.
+  camera->setTarget(Node()->getPosition() + offset + frv); // set target of
+                                                           // camera (look at
+                                                           // point) >> Zeuss -
+                                                           // Dont forget to add
+                                                           // the node positiob
+
+  camera->setFOV(Euler::ToRadian(fov->Value()));
+}
+
+ISceneNodeAnimator *SimuCameraGL::createClone(ISceneNode *node,
+                                              ISceneManager *newManager) {
+  return NULL;
 }
 
Index: trunk/lib/FlairSimulator/src/SimuCameraGL.h
===================================================================
--- trunk/lib/FlairSimulator/src/SimuCameraGL.h	(revision 14)
+++ trunk/lib/FlairSimulator/src/SimuCameraGL.h	(revision 15)
@@ -18,67 +18,64 @@
 #include <ISceneNodeAnimator.h>
 
-// in order to get function prototypes from glext.h, define GL_GLEXT_PROTOTYPES before including glext.h
+// in order to get function prototypes from glext.h, define GL_GLEXT_PROTOTYPES
+// before including glext.h
 #define GL_GLEXT_PROTOTYPES
 #include <GL/gl.h>
 
-namespace irr
-{
-    namespace scene
-    {
-        class ICameraSceneNode;
-    }
+namespace irr {
+namespace scene {
+class ICameraSceneNode;
+}
 }
 
-namespace flair
-{
-    namespace gui
-    {
-        class DoubleSpinBox;
-        class Vector3DSpinBox;
-    }
-    namespace simulator
-    {
-        class Model;
-    }
+namespace flair {
+namespace gui {
+class DoubleSpinBox;
+class Vector3DSpinBox;
+}
+namespace simulator {
+class Model;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class SimuCameraGL
-    * \brief Class for a simulation camera
-    *
-    */
-    class SimuCameraGL : public SimuCamera, public SensorGL, public irr::scene::ISceneNodeAnimator
-    {
-        public:
-            //top left origin
-            SimuCameraGL(const simulator::Model* parent,std::string name,int width,int height,int x,int y,int dev_id);
-            ~SimuCameraGL();
-            //! Sets the value of the near clipping plane. (default: 1.0f)
-            /** \param zn: New z near value. */
-            void setNearValue(float zn);
+namespace flair {
+namespace sensor {
+/*! \class SimuCameraGL
+* \brief Class for a simulation camera
+*
+*/
+class SimuCameraGL : public SimuCamera,
+                     public SensorGL,
+                     public irr::scene::ISceneNodeAnimator {
+public:
+  // top left origin
+  SimuCameraGL(const simulator::Model *parent, std::string name, int width,
+               int height, int x, int y, int dev_id);
+  ~SimuCameraGL();
+  //! Sets the value of the near clipping plane. (default: 1.0f)
+  /** \param zn: New z near value. */
+  void setNearValue(float zn);
 
-            //! Sets the value of the far clipping plane (default: 2000.0f)
-            /** \param zf: New z far value. */
-            void setFarValue(float zf);
+  //! Sets the value of the far clipping plane (default: 2000.0f)
+  /** \param zf: New z far value. */
+  void setFarValue(float zf);
 
-        private:
-            void UpdateFrom(const core::io_data *data);
-            void animateNode(irr::scene::ISceneNode* node, irr::u32 timeMs);
-            ISceneNodeAnimator* createClone(irr::scene::ISceneNode* node,irr::scene::ISceneManager* newManager=0);
-            void getImage(void);
-            void putImage(char* pixels);
-            irr::scene::ICameraSceneNode* camera;
-            irr::scene::ISceneManager* smgr;
-            gui::Vector3DSpinBox *position,*direction,*up;
-            gui::DoubleSpinBox *fov;
-            int width,height,x,y;
-            char* buffer;
-            bool use_pbo,invert_pixel,disable_output;
-            GLuint *pboIds;
-            int index ;
-    };
+private:
+  void UpdateFrom(const core::io_data *data);
+  void animateNode(irr::scene::ISceneNode *node, irr::u32 timeMs);
+  ISceneNodeAnimator *createClone(irr::scene::ISceneNode *node,
+                                  irr::scene::ISceneManager *newManager = 0);
+  void getImage(void);
+  void putImage(char *pixels);
+  irr::scene::ICameraSceneNode *camera;
+  irr::scene::ISceneManager *smgr;
+  gui::Vector3DSpinBox *position, *direction, *up;
+  gui::DoubleSpinBox *fov;
+  int width, height, x, y;
+  char *buffer;
+  bool use_pbo, invert_pixel, disable_output;
+  GLuint *pboIds;
+  int index;
+};
 } // end namespace simulator
 } // end namespace flair
Index: trunk/lib/FlairSimulator/src/SimuLaserGL.cpp
===================================================================
--- trunk/lib/FlairSimulator/src/SimuLaserGL.cpp	(revision 14)
+++ trunk/lib/FlairSimulator/src/SimuLaserGL.cpp	(revision 15)
@@ -36,69 +36,60 @@
 using namespace flair::simulator;
 
-namespace flair
-{
-namespace sensor
-{
-SimuLaserGL::SimuLaserGL(const Model* parent,std::string name,int dev_id) :SimuLaser(parent,name,dev_id),SensorGL(parent)
-{
-    Tab* setup_tab=new Tab(parent->GetTabWidget(),name);
-            position=new Vector3DSpinBox(setup_tab->NewRow(),"position",-2,2,.01);
-            direction=new Vector3DSpinBox(setup_tab->NewRow(),"direction",-2,2,.01);
-            range=new DoubleSpinBox(setup_tab->NewRow(),"range:",0,30,1);
+namespace flair {
+namespace sensor {
+SimuLaserGL::SimuLaserGL(const Model *parent, std::string name, int dev_id)
+    : SimuLaser(parent, name, dev_id), SensorGL(parent) {
+  Tab *setup_tab = new Tab(parent->GetTabWidget(), name);
+  position = new Vector3DSpinBox(setup_tab->NewRow(), "position", -2, 2, .01);
+  direction = new Vector3DSpinBox(setup_tab->NewRow(), "direction", -2, 2, .01);
+  range = new DoubleSpinBox(setup_tab->NewRow(), "range:", 0, 30, 1);
 }
 
-SimuLaserGL::~SimuLaserGL()
-{
+SimuLaserGL::~SimuLaserGL() {}
 
-}
+void SimuLaserGL::UpdateFrom(const io_data *data) {
+  float value[360];
 
-void SimuLaserGL::UpdateFrom(const io_data *data)
-{
-    float value[360];
+  if (noGui() == false && data == NULL) {
+    for (int i = 0; i < 360; i++) {
+      line3d<f32> ray_laser;         // rayon provenant de l'ultra son
+      vector3df intersection_laser;  // point intersection us avec le sol
+      triangle3df hitTriangle_laser; // triangle intersection us avec le sol
 
-    if(noGui()==false && data==NULL)
-    {
-        for (int i=0; i<360; i++)
-        {
-            line3d<f32> ray_laser;//rayon provenant de l'ultra son
-            vector3df intersection_laser;//point intersection us avec le sol
-            triangle3df hitTriangle_laser;//triangle intersection us avec le sol
+      // get rotation matrix of node - Zeuss must be getRotation not
+      // getRelativeTransformation
+      matrix4 m;
+      matrix4 M;
+      m.setRotationDegrees(Node()->getRotation());
 
-             //get rotation matrix of node - Zeuss must be getRotation not getRelativeTransformation
-            matrix4 m;
-            matrix4 M;
-            m.setRotationDegrees(Node()->getRotation());
+      // Matrice de rotation pour balayage du laser, angle i
+      M.setRotationDegrees(vector3df(0, 0, i));
+      // transform forward vector of us
+      vector3df frv = ToIrrlichtCoordinates(direction->Value());
+      M.transformVect(frv);
+      m.transformVect(frv);
+      frv.normalize();
 
-            //Matrice de rotation pour balayage du laser, angle i
-            M.setRotationDegrees(vector3df(0,0,i));
-            // transform forward vector of us
-            vector3df frv =ToIrrlichtCoordinates(direction->Value());
-            M.transformVect(frv);
-            m.transformVect(frv);
-            frv.normalize();
+      // transform pos vector of us
+      vector3df pos = ToIrrlichtCoordinates(position->Value());
+      m.transformVect(pos);
 
+      ray_laser.start = Node()->getPosition() + pos;
+      ray_laser.end = ray_laser.start + ToIrrlichtScale(range->Value()) * frv;
 
-             // transform pos vector of us
-            vector3df pos =ToIrrlichtCoordinates(position->Value());
-            m.transformVect(pos);
-
-            ray_laser.start =Node()->getPosition() + pos;
-            ray_laser.end = ray_laser.start + ToIrrlichtScale(range->Value())*frv;
-
-            scene::ISceneNode * selectedSceneNode =
-                CollMan()->getSceneNodeAndCollisionPointFromRay(ray_laser,intersection_laser,hitTriangle_laser);
-    // //////////////////////////////////////////
-            if(selectedSceneNode) //
-            {
-                value[i]=ToSimulatorScale(ray_laser.start.getDistanceFrom(intersection_laser));
-            }
-            else
-            {
-                value[i]=-1;
-            }
-
-        }
-        shmem->Write((char*)value,360*sizeof(float));
+      scene::ISceneNode *selectedSceneNode =
+          CollMan()->getSceneNodeAndCollisionPointFromRay(
+              ray_laser, intersection_laser, hitTriangle_laser);
+      // //////////////////////////////////////////
+      if (selectedSceneNode) //
+      {
+        value[i] = ToSimulatorScale(
+            ray_laser.start.getDistanceFrom(intersection_laser));
+      } else {
+        value[i] = -1;
+      }
     }
+    shmem->Write((char *)value, 360 * sizeof(float));
+  }
 }
 
Index: trunk/lib/FlairSimulator/src/SimuLaserGL.h
===================================================================
--- trunk/lib/FlairSimulator/src/SimuLaserGL.h	(revision 14)
+++ trunk/lib/FlairSimulator/src/SimuLaserGL.h	(revision 15)
@@ -17,40 +17,33 @@
 #include <SensorGL.h>
 
-namespace flair
-{
-    namespace gui
-    {
-        class DoubleSpinBox;
-        class Vector3DSpinBox;
-    }
+namespace flair {
+namespace gui {
+class DoubleSpinBox;
+class Vector3DSpinBox;
+}
 }
 
-namespace flair
-{
-    namespace simulator
-    {
-        class Model;
-    }
+namespace flair {
+namespace simulator {
+class Model;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class SimuUsGL
-    * \brief Class for a simulation us
-    *
-    */
-    class SimuLaserGL : public SimuLaser, public SensorGL
-    {
-        public:
-            SimuLaserGL(const simulator::Model* parent,std::string name,int dev_id);
-            ~SimuLaserGL();
+namespace flair {
+namespace sensor {
+/*! \class SimuUsGL
+* \brief Class for a simulation us
+*
+*/
+class SimuLaserGL : public SimuLaser, public SensorGL {
+public:
+  SimuLaserGL(const simulator::Model *parent, std::string name, int dev_id);
+  ~SimuLaserGL();
 
-        private:
-            void UpdateFrom(const core::io_data *data);
-            gui::DoubleSpinBox *range;
-            gui::Vector3DSpinBox *position,*direction;
-    };
+private:
+  void UpdateFrom(const core::io_data *data);
+  gui::DoubleSpinBox *range;
+  gui::Vector3DSpinBox *position, *direction;
+};
 } // end namespace sensor
 } // end namespace flair
Index: trunk/lib/FlairSimulator/src/SimuUsGL.cpp
===================================================================
--- trunk/lib/FlairSimulator/src/SimuUsGL.cpp	(revision 14)
+++ trunk/lib/FlairSimulator/src/SimuUsGL.cpp	(revision 15)
@@ -36,66 +36,60 @@
 using namespace flair::simulator;
 
-namespace flair
-{
-namespace sensor
-{
-SimuUsGL::SimuUsGL(const Model* parent,std::string name,int dev_id) :SimuUs(parent,name,dev_id),SensorGL(parent)
-{
-    Tab* setup_tab=new Tab(parent->GetTabWidget(),name);
-            position=new Vector3DSpinBox(setup_tab->NewRow(),"position",-2,2,.01);
-            direction=new Vector3DSpinBox(setup_tab->NewRow(),"direction",-2,2,.01);
-            range=new DoubleSpinBox(setup_tab->NewRow(),"range:",0,6,1);
+namespace flair {
+namespace sensor {
+SimuUsGL::SimuUsGL(const Model *parent, std::string name, int dev_id)
+    : SimuUs(parent, name, dev_id), SensorGL(parent) {
+  Tab *setup_tab = new Tab(parent->GetTabWidget(), name);
+  position = new Vector3DSpinBox(setup_tab->NewRow(), "position", -2, 2, .01);
+  direction = new Vector3DSpinBox(setup_tab->NewRow(), "direction", -2, 2, .01);
+  range = new DoubleSpinBox(setup_tab->NewRow(), "range:", 0, 6, 1);
 }
 
-SimuUsGL::~SimuUsGL()
-{
+SimuUsGL::~SimuUsGL() {}
 
-}
+void SimuUsGL::UpdateFrom(const io_data *data) {
+  float value;
+#ifdef GL
+  if (noGui() == true) {
+#endif
+    // todo: utiliser le placement de l'us dans le drone et sa portée
+    cvmatrix *input = (cvmatrix *)data;
+    value = input->Value(9, 0);
+    shmem->Write((char *)&value, sizeof(float));
+#ifdef GL
+  }
 
-void SimuUsGL::UpdateFrom(const io_data *data)
-{
-    float value;
-#ifdef GL
-    if(noGui()==true)
-    {
-#endif
-        //todo: utiliser le placement de l'us dans le drone et sa portée
-        cvmatrix *input=(cvmatrix*)data;
-        value=input->Value(9,0);
-        shmem->Write((char*)&value,sizeof(float));
-#ifdef GL
+  if (noGui() == false && data == NULL) {
+    line3d<f32> ray_us;         // rayon provenant de l'ultra son
+    vector3df intersection_us;  // point intersection us avec le sol
+    triangle3df hitTriangle_us; // triangle intersection us avec le sol
+
+    // get rotation matrix of node - Zeuss must be getRotation not
+    // getRelativeTransformation
+    matrix4 m;
+    m.setRotationDegrees(Node()->getRotation());
+
+    // transform forward vector of us
+    vector3df frv = ToIrrlichtCoordinates(direction->Value());
+    m.transformVect(frv);
+    frv.normalize();
+
+    // transform pos vector of us
+    vector3df pos = ToIrrlichtCoordinates(position->Value());
+    m.transformVect(pos);
+
+    ray_us.start = Node()->getPosition() + pos;
+    ray_us.end = ray_us.start + ToIrrlichtScale(range->Value()) * frv;
+
+    scene::ISceneNode *selectedSceneNode =
+        CollMan()->getSceneNodeAndCollisionPointFromRay(ray_us, intersection_us,
+                                                        hitTriangle_us);
+
+    if (selectedSceneNode) {
+      float value =
+          ToSimulatorScale(ray_us.start.getDistanceFrom(intersection_us));
+      shmem->Write((char *)&value, sizeof(float));
     }
-
-    if(noGui()==false && data==NULL)
-    {
-        line3d<f32> ray_us;//rayon provenant de l'ultra son
-        vector3df intersection_us;//point intersection us avec le sol
-        triangle3df hitTriangle_us;//triangle intersection us avec le sol
-
-         //get rotation matrix of node - Zeuss must be getRotation not getRelativeTransformation
-        matrix4 m;
-        m.setRotationDegrees(Node()->getRotation());
-
-        // transform forward vector of us
-        vector3df frv =ToIrrlichtCoordinates(direction->Value());
-        m.transformVect(frv);
-        frv.normalize();
-
-         // transform pos vector of us
-        vector3df pos =ToIrrlichtCoordinates(position->Value());
-        m.transformVect(pos);
-
-        ray_us.start =Node()->getPosition() +pos;
-        ray_us.end = ray_us.start + ToIrrlichtScale(range->Value())*frv;
-
-        scene::ISceneNode * selectedSceneNode =
-            CollMan()->getSceneNodeAndCollisionPointFromRay(ray_us,intersection_us,hitTriangle_us);
-
-        if(selectedSceneNode)
-        {
-            float value=ToSimulatorScale(ray_us.start.getDistanceFrom(intersection_us));
-            shmem->Write((char*)&value,sizeof(float));
-        }
-    }
+  }
 #endif
 }
Index: trunk/lib/FlairSimulator/src/SimuUsGL.h
===================================================================
--- trunk/lib/FlairSimulator/src/SimuUsGL.h	(revision 14)
+++ trunk/lib/FlairSimulator/src/SimuUsGL.h	(revision 15)
@@ -17,40 +17,33 @@
 #include <SensorGL.h>
 
-namespace flair
-{
-    namespace gui
-    {
-        class DoubleSpinBox;
-        class Vector3DSpinBox;
-    }
+namespace flair {
+namespace gui {
+class DoubleSpinBox;
+class Vector3DSpinBox;
+}
 }
 
-namespace flair
-{
-    namespace simulator
-    {
-        class Model;
-    }
+namespace flair {
+namespace simulator {
+class Model;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class SimuUsGL
-    * \brief Class for a simulation us
-    *
-    */
-    class SimuUsGL : public SimuUs, public SensorGL
-    {
-        public:
-            SimuUsGL(const simulator::Model* parent,std::string name,int dev_id);
-            ~SimuUsGL();
+namespace flair {
+namespace sensor {
+/*! \class SimuUsGL
+* \brief Class for a simulation us
+*
+*/
+class SimuUsGL : public SimuUs, public SensorGL {
+public:
+  SimuUsGL(const simulator::Model *parent, std::string name, int dev_id);
+  ~SimuUsGL();
 
-        private:
-            void UpdateFrom(const core::io_data *data);
-            gui::DoubleSpinBox *range;
-            gui::Vector3DSpinBox *position,*direction;
-    };
+private:
+  void UpdateFrom(const core::io_data *data);
+  gui::DoubleSpinBox *range;
+  gui::Vector3DSpinBox *position, *direction;
+};
 } // end namespace sensor
 } // end namespace flair
